<?php
	
	lt_include(PLOG_CLASS_PATH . "class/view/admin/adminplugintemplatedview.class.php");

	/**
    * PluginTidyOutputConfigView class
    */
	class PluginTidyOutputConfigView extends AdminPluginTemplatedView
	{
        /**
        * Constructor
        */
		function PluginTidyOutputConfigView($blogInfo)
		{
			$this->AdminPluginTemplatedView($blogInfo, "tidyoutput", "tidyoutput");
		}

        /**
        * Add function info
        */      
		function render()
		{
			// load some configuration settings
			$config   = & Config::getConfig();
			$enabled  = $config->getValue("plugin_tidyoutput_enabled");
            $report   = $config->getValue("plugin_tidyoutput_report");
            $silent   = $config->getValue("plugin_tidyoutput_silent_mode");
            $errors   = $config->getValue("plugin_tidyoutput_errors");

            // create a view and export the settings to the template
			$this->setValue("enabled", $enabled);
			$this->setValue("report", $report);
            $this->setValue("silent", $silent);
            $this->setValue("errors", $errors);
			
			parent::render();
		}
	}
   
?>